Name:           cardpeek
Version:        0.7
Release:        1%{?dist}
Summary:        Tool to read the contents of smart cards

Group:          Applications/Productivity
License:        GPLv3+
URL:            http://code.google.com/p/cardpeek/
Source0:        http://cardpeek.googlecode.com/files/cardpeek-%{version}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  lua-devel
BuildRequires:  openssl-devel
BuildRequires:  pcsc-lite-devel

%description
Cardpeek is a tool to read the contents of ISO7816 smart cards. It
features a GTK GUI to represent card data is a tree view, and is
extendable with a scripting language (LUA).

The tool currently reads the contents of:
    * EMV cards
    * Calypso public transport cards (such as Navigo)
    * Moneo ePurse cards
    * Vitale 2 French health cards.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# remove docs from a wrong place
rm -rf $RPM_BUILD_ROOT%{_docdir}/cardpeek/

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/cardpeek.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS ChangeLog COPYING README
%doc doc/cardpeek_ref*.pdf
%{_bindir}/cardpeek
%{_datadir}/applications/cardpeek.desktop
%{_datadir}/icons/hicolor/*/apps/cardpeek.png
%{_mandir}/man1/cardpeek.1*


%changelog
* Mon Sep 05 2011 Kalev Lember <kalevlember@gmail.com> - 0.7-1
- Update to 0.7
- Clean up the spec file of cruft not needed with current rpmbuild

* Wed Apr 06 2011 Kalev Lember <kalev@smartlink.ee> - 0.6-1
- Update to 0.6
- Dropped upstreamed patches

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon May 03 2010 Kalev Lember <kalev@smartlink.ee> - 0.5-2
- Set StartupNotify=true in desktop file
- Use INSTALL="install -p" to keep timestamps
- Updated description

* Mon Apr 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.5-1
- Initial RPM release
